cascading.cascade

## Class BaseCascade.CascadeJob

- java.lang.Object
- - cascading.cascade.BaseCascade.CascadeJob

- All Implemented Interfaces:
    Callable<Throwable>
  Enclosing class:
    BaseCascade

      protected class BaseCascade.CascadeJob
      extends Object
      implements Callable<Throwable>

  Class CascadeJob manages Flow execution in the current Cascade instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCascade.CascadeJob(Flow flow)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `call()`
    `String` | `getName()`
    `void` | `init(List<BaseCascade.CascadeJob> predecessors)`
    `boolean` | `isSuccessful()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseCascade.CascadeJob

          public BaseCascade.CascadeJob(Flow flow)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### call

          public Throwable call()

      Specified by:
        `call` in interface `Callable<Throwable>`

    - #### init

          public void init(List<BaseCascade.CascadeJob> predecessors)

    - #### stop

          public void stop()

    - #### isSuccessful

          public boolean isSuccessful()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.